import os
import glob
import pandas as pd
from pathlib import Path
#set working directory
os.chdir("./")

#find all csv files in the folder
#use glob pattern matching -> extension = 'csv'
#save result in list -> all_filenames
extension = 'csv'
all_filenames = [i for i in glob.glob('*.{}'.format(extension))]

#combine all files in the list
combined_csv = pd.concat([pd.read_csv(f) for f in all_filenames ])

cols = ['resp.corr', 'resp.rt', 'congruent', 'participant']
print(cols)
combined_csv = combined_csv.filter(cols)

#export new csv into output folder
Path("./output/").mkdir(parents=True, exist_ok=True)

combined_csv.to_csv("./output/collated.csv", index=False, encoding='utf-8-sig')